Tar-1.13.25 Build Error - Chapter 5

Ken Moffat ken at kenmoffat.uklinux.net
Thu Mar 25 16:06:07 PST 2004


On Thu, 25 Mar 2004, Bill's LFS Login wrote:

> On Thu, 25 Mar 2004, John wrote:
>
> > Bill's LFS Login wrote:
> > > On Sat, 20 Mar 2004, John Benes wrote:
> > >>>On Fri, 19 Mar 2004, John wrote:
> > >>>>>Matthew Burgess wrote:
> > >>>>>>On Wed, 17 Mar 2004 13:55:11 -0600
> > >>>>>>John <jim.benes at netzero.net> wrote:
> > >>>>>><snip>
>
> > >
> > > P.S. But bison in used in chapter 6 in the three versions I checked, so
> > > if your problem is chapter 5, I gues that would have no effect. Problem
> > > must be elsewhare.
> > >
> > The problem was the version of bison on the host machine... might want
> > to add a note somewhere in the book of minimum version for packages on
> > the host, bison 1.75 is not new enough (which was causing the problem.)
>
> Thanks John. I'll make a quick check of Bugzilla, archives and current
> books and if it looks like it's not been addressed, I'll post to
> lfs-dev. BTW, you can also do that if you would like. Just be sure you
> check things first to avoid a curt reply that it has been addressed
> already.
>
>

 Vaguely remembering the pain with bison over the years, I wonder if
it's a problem with 1.75 ?  My original LFS system (approx 3.0) on my
test box has bison-1.28, but I used it last year to build LFS-4.1 with
tar-1.13.25.  If you BZ it, I'll try and build from LFS-3.0 when I can
find a decent version of glibc for i586.  Don't hold your breath. ;)

Ken
-- 
 das eine Mal als Tragödie, das andere Mal als Farce




More information about the lfs-support mailing list